---
title: Get Fiat Order List
slug: get-fiat-order-list
docTags: 
createdAt: 2025-05-02T10:40:00.252Z
---

This api returns list of orders matching the query parameters. This api requires access token that can be generated using [Access Token](docId\:lq-v6fF_2i-h1O3XD5KKA) API.

:::ApiMethodV2
```json
{
  "name": "Get Order List",
  "method": "GET",
  "url": "https://your-hostname.pay3.app/v2/client/fiat-orders?userAddress=email@address.com&gte=2024-07-15&lte=2024-07-15",
  "description": "Get order details by query parameters",
  "tab": "examples",
  "examples": {
    "languages": [
      {
        "id": "3LjxGJCqZzKeICMDOi23s",
        "language": "curl",
        "code": "curl --location 'https://your-hostname.pay3.app/v2/client/fiat-orders?userAddress=email%40address.com&gte=2024-07-15&lte=2024-07-15' \\\n--header 'Accept: application/json' \\\n--header 'Content-Type: application/json' \\\n--header 'access-token: ACCESS-TOKEN-IN-JWT'\\\n--header 'client-id: your-client-id' \\",
        "customLabel": ""
      }
    ],
    "selectedLanguageId": "3LjxGJCqZzKeICMDOi23s"
  },
  "results": {
    "languages": [
      {
        "id": "GC_lbEEV7Jo_hgFNI1cHK",
        "language": "200",
        "customLabel": "",
        "code": "{\n    \"message\": \"Records Found, successful\",\n    \"FiatTransactions\": [\n        {\n            \"orderStatus\": \"COMPLETED\",\n            \"requestId\": \"00837830-5854-47c4-9361-3921abc6e831\",\n            \"clientId\": \"your-client-id\",\n            \"exchangeCurId\": \"brl_bz\",\n            \"exchangeAmount\": \"2.02\",\n            \"updatedTs\": 1721020103515,\n            \"createdTs\": 1721020103515,\n            \"orderId\": \"5d6a9682-1938-4a6f-a252-61378f67dac9\",\n            \"userAddress\": \"email@address.com\",\n            \"orderType\": \"PAYOUT\",\n            \"paymentStatus\": \"COMPLETED\",\n            \"paymentInstrument\": \"pix\"\n        },\n        {\n            \"orderStatus\": \"FAILED\",\n            \"requestId\": \"40204\",\n            \"clientId\": \"your-client-id\",\n            \"exchangeCurId\": \"brl_bz\",\n            \"exchangeAmount\": \"2.00\",\n            \"updatedTs\": 1721223117912,\n            \"createdTs\": 1721222981384,\n            \"orderId\": \"795581c9-a0ce-4473-a001-cc89aff33f50\",\n            \"userAddress\": \"email@address.com\",\n            \"orderType\": \"CHECKOUT\",\n            \"paymentStatus\": \"CANCELLED\",\n            \"paymentInstrument\": \"credit_card\"\n        }\n    ]\n}"
      },
      {
        "id": "Ybev9LI4TwGz-n2zW-919",
        "language": "401",
        "customLabel": "",
        "code": "{\"error\":\"Client verification failed\"}"
      }
    ],
    "selectedLanguageId": "GC_lbEEV7Jo_hgFNI1cHK"
  },
  "request": {
    "pathParameters": [],
    "queryParameters": [
      {
        "name": "userAddress",
        "kind": "required",
        "type": "string",
        "description": "Email address/userId used while creating the transaction.",
        "": "Email address/userId used while creating the transaction."
      },
      {
        "name": "gte",
        "kind": "required",
        "type": "string",
        "description": "Transaction created on or after this date. Date in YYYY-MM-DD format.",
        "children": []
      },
      {
        "name": "lte",
        "kind": "required",
        "type": "string",
        "description": "Transaction created on or before this date. Date in YYYY-MM-DD format.",
        "children": []
      }
    ],
    "headerParameters": [
      {
        "name": "access-token",
        "kind": "required",
        "type": "string",
        "description": "Access token received from Access token API. You can reuse the access token across multiple API calls till it is expired.",
        "children": []
      },
      {
        "name": "client-id",
        "kind": "required",
        "type": "string",
        "description": "Client Id",
        "children": []
      }
    ],
    "bodyDataParameters": [],
    "formDataParameters": []
  },
  "currentNewParameter": {
    "label": "Query Parameter",
    "value": "queryParameters"
  },
  "hasTryItOut": false,
  "autoGeneratedAnchorSlug": "get-order-list",
  "legacyHash": "C2PnDXYVF4_laTuhnOe-R"
}
```
:::

***

